#include <iostream>
#include<fstream>
using namespace std;
int main()
{
	int n;
	int m[10];
	ifstream fi("UCBC.inp");
	fi>>n;
	ofstream fo("UCBC.out");
	for(int i=0;i<n;i++)
	{
		fi>>m[i];
	}
	int s1=m[0],s2;
	int ucln,bcnn=m[0];
	int p=m[0];
	for(int t=1;t<n;t++)
	{
		s2=m[t];
		while(s1!=s2)
		{
			if(s1<s2)
			{
				s2=s2-s1;
			}
			if(s1>s2)
			{
				s1=s1-s2;
			}
		}
		ucln=s1;
		int s3=bcnn;
		s2=m[t];
		while(s3!=s2)
		{
			if(s3<s2)
			{
				s2=s2-s3;
			}
			if(s3>s2)
			{
				s3=s3-s2;
			}
		}
		bcnn=bcnn*m[t]/s3;
	}
	fo<<ucln<<endl;
	fo<<bcnn;
	fi.close();
	fo.close();
}

